-- 2023年3月7日
ALTER TABLE `fw_morax`.`eval_group_reward_ladders`
    ADD COLUMN `rank_order_type` tinyint(4) NULL DEFAULT 1 COMMENT '排名顺序类型 1：正  2：负' AFTER `upper`;

CREATE TABLE `eval_group_reward_rank_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(512) NOT NULL COMMENT '名称',
  `pool_id` bigint(20) DEFAULT NULL COMMENT '人员id 、门店id',
  `scope_type` tinyint(4) NOT NULL COMMENT '考评范围; 1:门店考评 2:人员考评',
  `refer_id` bigint(20) DEFAULT NULL COMMENT '考评奖惩 前置条件 配置id',
  `target_type` tinyint(4) DEFAULT NULL COMMENT '1:参数 2:前置条件',
  `value` decimal(18,4) DEFAULT NULL COMMENT '原始值',
  `reach_value` decimal(18,4) DEFAULT NULL COMMENT '达成目标',
  `rank` int(10) DEFAULT NULL COMMENT '排名',
  `hit` tinyint(1) DEFAULT NULL COMMENT '是否命中',
  `data_date` date NOT NULL COMMENT '数据日期',
  `group_id` bigint(20) NOT NULL COMMENT '集团',
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `yn` tinyint(1) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COMMENT='考评指标达成目标记录';

-- 报表
CREATE TABLE `morax_004_m` (
   `id` bigint(20) NOT NULL AUTO_INCREMENT,
   `report_date` date DEFAULT NULL COMMENT '日期',
   `report_dimension` varchar(2) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '维度',
   `group_id` bigint(20) DEFAULT NULL COMMENT '集团id',
   `s1` varchar(256) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '门店名称',
   `s2` varchar(256) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '考评组名称',
   `l1` bigint(20) DEFAULT NULL COMMENT '门店id',
   `l2` bigint(20) DEFAULT NULL COMMENT '考评组id',
   `l3` bigint(20) DEFAULT NULL COMMENT '考评池id',
   `b1` decimal(10,4) DEFAULT NULL COMMENT '考评周期得分率',
   `b2` decimal(10,4) DEFAULT NULL COMMENT '考评奖惩',
   `yn` tinyint(1) DEFAULT NULL COMMENT '逻辑删除',
   PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='门店考评';

CREATE TABLE `morax_003_m` (
   `id` bigint(20) NOT NULL AUTO_INCREMENT,
   `report_date` date DEFAULT NULL COMMENT '日期',
   `report_dimension` varchar(2) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '维度',
   `group_id` bigint(20) DEFAULT NULL COMMENT '集团id',
   `s1` varchar(256) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '人员名称',
   `s2` varchar(256) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '门店名称',
   `s3` varchar(256) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '岗位名称',
   `s4` varchar(256) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '考评组名称',
   `l1` bigint(20) DEFAULT NULL COMMENT '人员id',
   `l2` bigint(20) DEFAULT NULL COMMENT '门店id',
   `l3` bigint(20) DEFAULT NULL COMMENT '岗位id',
   `l4` bigint(20) DEFAULT NULL COMMENT '考评组id',
   `l5` bigint(20) DEFAULT NULL COMMENT '考评池id',
   `b1` decimal(10,4) DEFAULT NULL COMMENT '考评周期得分率',
   `b2` decimal(10,4) DEFAULT NULL COMMENT '考评奖惩',
   `b3` tinyint(1) DEFAULT NULL COMMENT '是否纳入考评考核',
   `yn` tinyint(1) DEFAULT NULL COMMENT '逻辑删除',
   PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='人员考评';