package cn.fw.morax.domain.db.kpi;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 人员质量考核奖惩
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class KpiAssessPenalty extends BaseAuditableTimeEntity<KpiAssessPenalty, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 绩效池id
     */
    private Long kpiPoolId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 评测用户id
     */
    private Long assessUserId;

    /**
     * 评测用户名
     */
    private String assessUserName;

    /**
     * 评测绩效池id
     */
    private Long assessKpiPoolId;

    /**
     * 排名
     */
    private Integer rank;

    /**
     * 目标排名
     */
    private Integer targetRank;

    /**
     * 奖惩绩效分
     */
    private BigDecimal score;

    /**
     * 奖惩金额
     */
    private BigDecimal award;

    /**
     * 状态 1. 待推送 2.已推送
     */
    private Integer status;

    /**
     * 月度
     */
    private String monthly;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    private Boolean yn;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;


}
